Skip to navigation

Get spread trades

Retrieve the recently filled transaction details of spread orders for the last 7 days.

Authentication

OK-ACCESS-KEYstring
Your API key.
OK-ACCESS-SIGNstring

Base64-encoded HMAC-SHA256 signature of the prehash string.

OK-ACCESS-TIMESTAMPstring

ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.

OK-ACCESS-PASSPHRASEstring
The passphrase you set when creating the API key.

Query parameters

sprdIdstringOptional

Spread ID, e.g. BTC-USDT_BTC-USDT-SWAP.

tradeIdstringOptional
Trade ID.
ordIdstringOptional
Order ID.
beginIdstringOptional
Start trade ID the request to begin with. Pagination of data to return records newer than the requested tradeId, not including beginId.
endIdstringOptional
End trade ID the request to end with. Pagination of data to return records older than the requested tradeId, not including endId.
beginstringOptional
Filter with a begin timestamp. Unix timestamp in milliseconds.
endstringOptional
Filter with an end timestamp. Unix timestamp in milliseconds.
limitstringOptional

Number of results per request. The maximum is 100; the default is 100.

Response

Successful response
codestringOptional

Result code. 0 means success; any other value is an error code.

msgstringOptional
Error message. Empty on success.
datalist of objectsOptional